Subject: Re: [PATCH v4 2/2] repo: add new flag --keys to git-repo-info

From: Lucas Seiki Oshiro <[email-masked]>
Date: Wed, 21 Jan 2026 11:38:13 -0300

> I also thought about it, but didn't want to propose it myself. But I
> agree that this would be a reasonable change. After all, git-repo(1) is
> still young and it's marked as experimental, so from my perspective it
> is fair to do adjustments like this once we notice that we've been a bit
> too narrow-minded.
> 
> So I'm all for it.

Agreed. And I think that it makes more sense than adding a new output
format only for --keys and extra checks in other places.

Besides this, I sent first patch of this series (the "default" output
format) to support -z with --keys [1]. If we change "keyvalue" to
"lines" maybe it wouldn't be useful.

So, now I'm thinking about dropping the first patch and replacing it 
by a new one renaming "keyvalue" to "lines".

[1] https://lore.kernel.org/git/[email-masked]/